gnutls_pkcs11_type_get_name(3)

NAME
gnutls_pkcs11_type_get_name - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

const char * gnutls_pkcs11_type_get_name(gnutls_pkcs11_obj_type_t type);

ARGUMENTS

gnutls_pkcs11_obj_type_t type
    Holds the PKCS 11 object type, a gnutls_pkcs11_obj_type_t.

DESCRIPTION
This function will return a human readable description of the PKCS11 object type obj . It will return "Unknown" for unknown types.

RETURNS
human readable string labeling the PKCS11 object type
 type .

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/